com.smartgwt.client.types

## Enum Encoding

- java.lang.Object
- - java.lang.Enum<Encoding>
  - - com.smartgwt.client.types.Encoding

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<Encoding>

      public enum Encoding
      extends java.lang.Enum<Encoding>
      implements ValueEnum

  Form encoding types - these translate to Form ENCTYPE parameters.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MULTIPART` form encoding for forms with INPUT file elements, that is, forms that upload files ("multipart/form-data")
    `NORMAL` normal form encoding ("application/x-www-form-urlencoded")

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static Encoding` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Encoding[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final Encoding NORMAL

      normal form encoding ("application/x-www-form-urlencoded")

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "normal".

    - #### MULTIPART

          public static final Encoding MULTIPART

      form encoding for forms with INPUT file elements, that is, forms that upload files ("multipart/form-data")

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "multipart".

  - ### Method Detail

    - #### values

          public static Encoding[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Encoding c : Encoding.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Encoding valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`